import { Component, EnvironmentInjector, inject } from '@angular/core';
import { IonTabs, IonTabBar, IonTabButton, IonIcon, IonLabel } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import {
  compassOutline, bookOutline, book, storefront, personOutline, documentOutline,
  mailOutline, calendarOutline, logoUsd, briefcaseOutline, heartOutline, footballOutline,
  chevronForwardOutline, storefrontOutline, businessOutline, documentsOutline,
  rocketOutline, sparklesOutline, medalOutline, listOutline, giftOutline,
  scanOutline, settingsOutline, heartCircleOutline, walletOutline, bagRemoveOutline,
  folderOutline, readerOutline, cartOutline, thumbsUpOutline, ticketOutline, documentTextOutline,
  timeOutline, cloudDownloadOutline, bagCheckOutline, cardOutline, searchOutline, menuOutline,
  addCircleOutline, addOutline, optionsOutline
} from 'ionicons/icons';


@Component({
  selector: 'app-tabs',
  templateUrl: 'tabs.page.html',
  styleUrls: ['tabs.page.scss'],
  standalone: true,
  imports: [IonTabs, IonTabBar, IonTabButton, IonIcon, IonLabel],
})
export class TabsPage {
  public environmentInjector = inject(EnvironmentInjector);

  constructor() {
    addIcons({
      compassOutline, bookOutline, book, storefront, personOutline, documentOutline,
      mailOutline, calendarOutline, logoUsd, briefcaseOutline, heartOutline,
      footballOutline, chevronForwardOutline, storefrontOutline, businessOutline,
      documentsOutline, rocketOutline, sparklesOutline, medalOutline, listOutline,
      giftOutline, scanOutline, settingsOutline, heartCircleOutline, walletOutline,
      bagRemoveOutline, folderOutline, readerOutline, cartOutline, thumbsUpOutline,
      ticketOutline, documentTextOutline, timeOutline, cloudDownloadOutline, bagCheckOutline,
      cardOutline, searchOutline, menuOutline, addCircleOutline, addOutline, optionsOutline
    });
  }
}
