

module.exports.QuestionnaireList = [
    {
        "objectId": "questionnaire1",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireId": "q1", // 新增的非数据库生成的主键
        "title": "兴趣调查问卷",
        "status": "已发布",
        "questions": [
            "question1", // 修改为 String 类型
            "question2"  // 修改为 String 类型
        ]
    },

    {
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireId": "test_q1", // 新增的非数据库生成的主键
        "title": "基于基本情况的兴趣调查问卷",
        "status": "已发布",
        "questions": [
            "test_q1_q1", // 修改为 String 类型
            "test_q1_q2", // 修改为 String 类型
            "test_q1_q3", // 修改为 String 类型
            "test_q1_q4"  // 修改为 String 类型
        ]
    }

];

module.exports.QuestionList = [
    {
        "objectId": "question1",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "q1", // 新增的非数据库生成的主键
        "questionnaireId": "questionnaire1", // 修改为 String 类型
        "questionText": "你最喜欢的活动是什么？",
        "options": [
            "option1", // 修改为 String 类型
            "option2"  // 修改为 String 类型
        ]
    },
    {
        "objectId": "question2",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "q2", // 新增的非数据库生成的主键
        "questionnaireId": "questionnaire1", // 修改为 String 类型
        "questionText": "你喜欢的休闲方式是什么？",
        "options": [
            "option3", // 修改为 String 类型
            "option4"  // 修改为 String 类型
        ]
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "test_q1_q1", // 新增的非数据库生成的主键
        "questionnaireId": "test_q1", // 修改为 String 类型
        "questionText": "你工作几年了？",
        "options": [
            "test_q1_q1_o1", // 修改为 String 类型
            "test_q1_q1_o2", // 修改为 String 类型
            "test_q1_q1_o3"  // 修改为 String 类型
        ]
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "test_q1_q2", // 新增的非数据库生成的主键
        "questionnaireId": "test_q1", // 修改为 String 类型
        "questionText": "从事什么类型的职业？",
        "options": [
            "test_q1_q2_o1", // 修改为 String 类型
            "test_q1_q2_o2", // 修改为 String 类型
            "test_q1_q2_o3", // 修改为 String 类型
            "test_q1_q2_o4", // 修改为 String 类型
            "test_q1_q2_o5"  // 修改为 String 类型
        ]
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "test_q1_q3", // 新增的非数据库生成的主键
        "questionnaireId": "test_q1", // 修改为 String 类型
        "questionText": "是否喜欢吃水果？",
        "options": [
            "test_q1_q3_o1", // 修改为 String 类型
            "test_q1_q3_o2"  // 修改为 String 类型
        ]
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionId": "test_q1_q4", // 新增的非数据库生成的主键
        "questionnaireId": "test_q1", // 修改为 String 类型
        "questionText": "喜欢什么运动？",
        "options": [
            "test_q1_q4_o1", // 修改为 String 类型
            "test_q1_q4_o2", // 修改为 String 类型
            "test_q1_q4_o3", // 修改为 String 类型
            "test_q1_q4_o4"  // 修改为 String 类型
        ]
    }
];

module.exports.OptionList = [
    {
        "objectId": "option1",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o1", // 新增的非数据库生成的主键
        "QuestionId": "question1", // 修改为 String 类型
        "optionText": "户外活动",
        "isSelected": false
    },
    {
        "objectId": "option2",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o2", // 新增的非数据库生成的主键
        "QuestionId": "question1", // 修改为 String 类型
        "optionText": "阅读",
        "isSelected": false
    },
    {
        "objectId": "option3",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o3", // 新增的非数据库生成的主键
        "QuestionId": "question2", // 修改为 String 类型
        "optionText": "看电影",
        "isSelected": false
    },
    {
        "objectId": "option4",
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "o4", // 新增的非数据库生成的主键
        "QuestionId": "question2", // 修改为 String 类型
        "optionText": "旅游",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q1_o1", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q1", // 修改为 String 类型
        "optionText": "0-3年",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q1_o2", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q1", // 修改为 String 类型
        "optionText": "3-5年",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q1_o3", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q1", // 修改为 String 类型
        "optionText": "5年以上",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q2_o1", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q2", // 修改为 String 类型
        "optionText": "前端开发",
        "isSelected": false
    },

    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q2_o2", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q2", // 修改为 String 类型
        "optionText": "后端开发",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q2_o3", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q2", // 修改为 String 类型
        "optionText": "产品经理",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q2_o4", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q2", // 修改为 String 类型
        "optionText": "UI设计师",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q2_o5", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q2", // 修改为 String 类型
        "optionText": "其他",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q3_o1", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q3",
        "optionText": "是",
        "isSelected": false
    },

    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q3_o2", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q3",
        "optionText": "否",
        "isSelected": false
    },
    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q4_o1", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q4",
        "optionText": "篮球",
        "isSelected": false
    },

    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q4_o2", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q4",
        "optionText": "足球",
        "isSelected": false
    },

    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q4_o3", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q4",
        "optionText": "羽毛球",
        "isSelected": false
    },

    {
        "createdAt": "2024-12-10T11:20:24Z",
        "OptionId": "test_q1_q4_o4", // 新增的非数据库生成的主键
        "QuestionId": "test_q1_q4",
        "optionText": "其他",
        "isSelected": false
    }


];

module.exports.QuestionnaireResultList = [
    {
        "objectId": "result1",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireResultId": "qr1", // 新增的非数据库生成的主键
        "userId": {
            "__type": "Pointer",
            "className": "_User",  // 修改为 _User，符合标准类型
            "objectId": "user1"  // 修改为 objectId，符合 Pointer 类型格式
        },
        "questionnaireId": {
            "__type": "Pointer",
            "className": "Questionnaire",
            "objectId": "questionnaire1"  // 修改为 objectId，符合 Pointer 类型格式
        },
        "answers": [
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option1"  // 修改为 objectId，符合 Pointer 类型格式
            },
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option2"  // 修改为 objectId，符合 Pointer 类型格式
            }
        ]
    },
    {
        "objectId": "result2",
        "createdAt": "2024-12-10T11:20:24Z",
        "QuestionnaireResultId": "qr2", // 新增的非数据库生成的主键
        "userId": {
            "__type": "Pointer",
            "className": "_User",  // 修改为 _User，符合标准类型
            "objectId": "user2"  // 修改为 objectId，符合 Pointer 类型格式
        },
        "questionnaireId": {
            "__type": "Pointer",
            "className": "Questionnaire",
            "objectId": "questionnaire1"  // 修改为 objectId，符合 Pointer 类型格式
        },
        "answers": [
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option3"  // 修改为 objectId，符合 Pointer 类型格式
            },
            {
                "__type": "Pointer",
                "className": "Option",
                "objectId": "option4"  // 修改为 objectId，符合 Pointer 类型格式
            }
        ]
    }
];

module.exports.UserInterestProfileList = [
    {
        "objectId": "profile1",
        "createdAt": "2024-12-10T11:20:24Z",
        "userId": {
            "__type": "Pointer",
            "className": "_User",  // 修改为 _User，符合标准类型
            "objectId": "user1"  // 修改为 objectId，符合 Pointer 类型格式
        },
        "interestTags": ["户外活动", "阅读"],
        "results": [
            {
                "__type": "Pointer",
                "className": "QuestionnaireResult",
                "objectId": "result1"  // 修改为 objectId，符合 Pointer 类型格式
            }
        ],
        "content": "用户喜欢户外活动和阅读，喜欢在自然中放松和探索新书籍。"
    },
    {
        "objectId": "profile2",
        "createdAt": "2024-12-10T11:20:24Z",
        "userId": {
            "__type": "Pointer",
            "className": "_User",  // 修改为 _User，符合标准类型
            "objectId": "user2"  // 修改为 objectId，符合 Pointer 类型格式
        },
        "interestTags": ["看电影", "旅游"],
        "results": [
            {
                "__type": "Pointer",
                "className": "QuestionnaireResult",
                "objectId": "result2"  // 修改为 objectId，符合 Pointer 类型格式
            }
        ],
        "content": "用户热爱看电影和旅游，喜欢通过电影探索不同的文化和风景。"
    }
];